%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee

clear

%38.9 20.8 14.4 11.1
phi1=pi/10; %Orientation of dislocation on [111]
phi2=pi/10; %Orientation of dislocation on [11-1]
k=1;
for dis_length=1000:1000:4000;   %Dislocation lengths to test
    %Creates dislocations on [1 1 1]
    x1 = dis_length/2*(-cos(phi1)/sqrt(2)-sin(phi1)/sqrt(6));
    y1 = dis_length/2*(cos(phi1)/sqrt(2)-sin(phi1)/sqrt(6));
    z1 = dis_length/2*(2*sin(phi1)/sqrt(6));
    %Creates dislocations on [1 1 -1]
    x2 = dis_length/2*(-cos(phi2)/sqrt(2)+sin(phi2)/sqrt(6));
    y2 = dis_length/2*(cos(phi2)/sqrt(2)+sin(phi2)/sqrt(6));
    z2 = dis_length/2*(2*sin(phi2)/sqrt(phi2));
    D1=[x1 y1 z1];
    D2=[x2 y2 z2];
    
    fprintf('\ndis_length=%f\n',dis_length);
    LC_relax;
    junc_length(k)=LC_junc_length(rn,connectivity);
    rn_final=rn;
    links_final=links;
    
    flag=0;
    while flag==0;  %Runs until user finds the critical stress
        tau_13=input('\nApplied stress (MPa) ');    %Start with conservative guesses!
        rn=rn_final;     %sets initial rn to relaxed state from LC_junction.m
        links=links_final;  % ' ' for links
        LC_stress;
        flag=input('Was this the critical stress? (1=yes 0=no) ');
    end
    tau_c(k)=tau_13;
    initial_dis_length(k)=dis_length;
    k=k+1;
end

figure(1)
plot(initial_dis_length,junc_length,'-o')
xlabel('Initial Dislocation Length (nm)')
ylabel('Junction Length (nm)')

figure(2)
plot(initial_dis_length,tau_c,'-o')
xlabel('Initial Dislocation Length (nm)')
ylabel('\tau_c (MPa)')