%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee

clear
load LC_junction_data
dis_length=4000;    %Length of initial dislocations
k=1;

%15.5, 12.2, 8.9
dis1_no=13;         %Orientations of dislocation on [111]
for dis2_no=12:14   % ' ' on [11-1]
    fprintf('\njunc_length=%f\n',junc_length(dis1_no,dis2_no));
    flag=0;
    while flag==0;  %Runs until user finds the critical stress
        tau_13=input('Applied stress (MPa) '); %Start with conservative guesses
        rn = rn_final(:,:,dis1_no+dis2_no-1);   %sets initial rn to relaxed state from LC_junction.m
        links = links_final(:,:,dis1_no+dis2_no-1); % ' ' for links
        LC_stress;  
        flag=input('Was this the critical stress? (1=yes 0=no) ');
    end
    tau_c(k)=tau_13;  
    k=k+1;
end
%Plots critical stress vs. orientation of dislocation on [11-1]
figure(1)
plot([pi/10,2*pi/10,3*pi/10],tau_c,'-o')
xlabel('\phi_2 (rad)')
ylabel('\tau_c (MPa)')
%Plots junction length vs. critical stress 
figure(2)
plot(junc_length(dis1_no,12:14),tau_c,'-o')
xlabel('Junction Length (nm)')
ylabel('\tau_c (MPa)')