function junc_length=LC_junc_length(rn,connectivity)
%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee
%Calculates binary junction length

inter_nodes=find(-10^-2<rn(:,3) & rn(:,3)<10^-2 ); %Find nodes along intersection line
inter_coord=rn(inter_nodes,1:4);	%Coordinates of nodes along the intersection
fixed_nodes=find(rn(:,4)~=0);		%Idenfies all the fixed nodes
inter_fixed_nodes=find(inter_coord(:,4)~=0);	%Idenfies fixed nodes on the intersection
if length(fixed_nodes)==2            %equals 2 if the dislocations coincide
    if length(inter_nodes)==2	     %if the only two inter_nodes are fixed then it's repulsive
        junc_length=0;
    else		
        junc_length=4000;	%otherwise it's attractive
    end
else
    inter_nodes_seg=connectivity(inter_nodes,1);	%# of arms connected to inter_nodes
    inter_nodes_seg(inter_fixed_nodes)=inter_nodes_seg(inter_fixed_nodes)+1;  %Adds one to the # of arms on fixed nodes
    junc_end_nodes=find(inter_nodes_seg>2);	%finds the nodes with extra arms
    if length(junc_end_nodes)<2	
        junc_length=0;   %<2 arms means no zipping
    else
        junc_length=norm(inter_coord(junc_end_nodes(1),1:3)-inter_coord(junc_end_nodes(2),1:3));
    end
end