%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee

clear
dis_length=4000;     %Length of initial dislocations
LC_make_dis;         %Generates the set of initial dislocation configurations

k=1;
rn_final=zeros(13,4,441);       %Stores the final position of all nodes in every orientation
links_final=zeros(16,8,441);    %Stores the final segment data for all dislocations in every orientation

for dis1=1:21;       %Orientations of dislocation with [111] glide plane
    for dis2=1:21;    % ''  [11-1] glide plane
        fprintf('\n%d,%d\n\n',dis1,dis2);
        D1=[x1(dis1) y1(dis1) z1(dis1)]; %one fixed node of dislocation on [111]
        D2=[x2(dis2) y2(dis2) z2(dis2)]; % ' ' [11-1]
        LC_relax;       %Performs DD simulation for current dislocation
        junc_length(dis1,dis2)=LC_junc_length(rn,connectivity); %Calculates junciton length
        rn_final(1:length(rn(:,1)),1:4,k)=rn;           %Stores resulting node positions
        links_final(1:length(links(:,1)),1:8,k)=links;  %Stores resulting segment data
        k=k+1;
    end
end

%Plot of normalized junction length with orientation
figure(2)
surf(phi11,phi22,junc_length/4000);  %normalizes junction length
colormap jet;
axis([-pi pi -pi pi 0 1]);
xlabel('\phi_{1}');ylabel('\phi_{2}');zlabel('l_{j}/l_{0}');
grid on;
view([5 30 40]);

save LC_junction_data.mat junc_length rn_final links_final