%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee

totalsteps=100;
appliedstress = zeros(3,3);  %Initial Configuration is allowed to relax
mobility='mobfcc1';

%D1 is on [1 1 1] D2 is on [1 1 -1]
rn = [  D1    7
        0 0 0 0
        -D1   7
        D2    7
        0 0 0 0
        -D2    7];
   
b1 = [  1   0  -1    ]/2;
b2 = [  0   1    1   ]/2;

n1 = [  1   1    1   ];
n2 = [  1   1  -1    ];

links = [ 1 2    b1  n1
          2  3   b1  n1
          4  5   b2  n2
          5  6   b2  n2 ];
      
maxconnections=8;
lmax = dis_length/4;
lmin = dis_length/20;
a=lmin/sqrt(6);
MU = 27*10^9; % for gold
NU = 0.44; % for gold
Ec = MU/(4*pi)*log(a/0.1);
areamin=lmin*lmin*sin(60/180*pi)*0.5; % minimum discretization area
areamax=20*areamin; % maximum discretization area
dt0=1e-5;             %maximum time step
rmax=10.0;           %maximum allowed displacement per timestep
plotfreq=5;         %plot nodes every how many steps
plim=5/8*dis_length;            %plot x,y,z limit (nodes outside not plotted)
viewangle=[-40 30];
printfreq=5;        %print out information every how many steps
printnode=3;
integrator='int_trapezoid';
rann = 10;        %annihilation distance (capture radius)
%rntol=1e-1;         %tolerance for integrating equation of motion
rntol = 2*rann;      % on Tom’s suggestion
rmax=30;
doremesh    =1;
docollision =1;
doseparation=1;
% run DDLAB simulation
run ../dd3d;  %set this to the directory containing the DDLab files