%Updated: 01/11/07
%Created by William Cash and Seokwoo Lee

totalsteps=750;
mobility='mobfcc1';

%stress in coordinate system 2
sigma = [ 0    0  tau_13
          0    0  0
          tau_13  0  0 ] * 1e6;   %in Pa

%coordinate system 1 (cubic coordinate system)
e1p = [1 0 0]; e2p = [0 1 0]; e3p = [0 0 1];
e1p=e1p/norm(e1p); e2p=e2p/norm(e2p); e3p=e3p/norm(e3p);            
%coordinate system 2
e1 =  [-1 -1 2]; e2  = [-1 1 0]; e3 = [-2 -2 -2];
e1=e1/norm(e1); e2=e2/norm(e2); e3=e3/norm(e3);

%rotation matrix
Q = [ dot(e1,e1p) dot(e2,e1p) dot(e3,e1p)
      dot(e1,e2p) dot(e2,e2p) dot(e3,e2p)
      dot(e1,e3p) dot(e2,e3p) dot(e3,e3p) ];
  
%Transform sigma into coordinate system 1
appliedstress = Q*sigma*Q';

%Define rn and links in the file that calls this script
      
maxconnections=8;
lmax = dis_length/4;
lmin = dis_length/20;
a=lmin/sqrt(6);
MU = 27*10^9; % for gold
NU = 0.44; % for gold
Ec = MU/(4*pi)*log(a/0.1);
areamin=lmin*lmin*sin(60/180*pi)*0.5; % minimum discretization area
areamax=20*areamin; % maximum discretization area
dt0=1e-5;             %maximum time step
rmax=10.0;           %maximum allowed displacement per timestep
plotfreq=5;         %plot nodes every how many steps
plim=5/8*dis_length;            %plot x,y,z limit (nodes outside not plotted)
viewangle=[-40 30];
printfreq=5;        %print out information every how many steps
printnode=3;
integrator='int_trapezoid';
rann = 10;        %annihilation distance (capture radius)
%rntol=1e-1;         %tolerance for integrating equation of motion
rntol = 2*rann;      % on Tom’s suggestion
rmax=30;
doremesh    =1;
docollision =1;
doseparation=1;

% run DDLAB simulation
run ../dd3d;